## org.eclipse.emf.ecore.xmi
Class FeatureNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.emf.ecore.xmi.XMIException
                  org.eclipse.emf.ecore.xmi.FeatureNotFoundException

All Implemented Interfaces:
  java.io.Serializable, Resource.Diagnostic

    public class FeatureNotFoundException

extends XMIException

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `featureName`
`protected EObject` `object`

Fields inherited from class org.eclipse.emf.ecore.xmi.XMIException
`column, line, location`

Constructor Summary
`FeatureNotFoundException(java.lang.String name, EObject object, java.lang.String location, int line, int column)`

Method Summary
`java.lang.String` `getName()`
`EObject` `getObject()`

Methods inherited from class org.eclipse.emf.ecore.xmi.XMIException
`getColumn, getLine, getLocation, getMessage, getWrappedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### featureName

    protected java.lang.String featureName

### object

    protected transient EObject object

Constructor Detail

### FeatureNotFoundException

    public FeatureNotFoundException(java.lang.String name,
                                    EObject object,
                                    java.lang.String location,
                                    int line,
                                    int column)

Method Detail

### getName

    public java.lang.String getName()

### getObject

    public EObject getObject()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.